'获取资源里的内容到字符变量里
'ReName 资源名称，在FF图像管理器里的文件名，不包含扩展名，也不要加 IMAGE_  ，不区分大小写
Function GetResourceStr(nReName As String, ByVal hModule As HMODULE = Null) As String
   'ReName 资源名称，在FF图像管理器里的文件名，不包含扩展名，也不要加 IMAGE_  ，不区分大小写
   Dim aa As HRSRC, bb As UInteger, cc As HGLOBAL, ee As String
   aa = FindResource(hModule, "RCDATA_" & nReName, RT_RCDATA) '查找资源
   If aa Then
      bb = SizeofResource(hModule, aa) '获取长度
      cc = LoadResource(hModule, aa) '装资源到内存
      ee = String(bb, 0)
      memcpy(StrPtr(ee), Cast(Any Ptr, cc), bb) 'C库 复制一个内存区到另一个。
      FreeResource cc '释放资源
      Function = ee
   End If
End Function
